//+-----------------------------------------------------------------------------+
//|                                                            DataExchange.mqh |
//|                                                                 Nick Petrov |
//|                                                        Nick_Petrov@inbox.ru |
//|-----------------------------------------------------------------------------|
//|      Data exchange.                           |
//|  :                                                       |
//|                                                                             |
//| SendIcq (i)   -    ICQ   _icqmessage.          |
//|                  true  false. i -    . |
//| SendEMail (i) -       _emailmessage.      |
//|                  true  false. i -    . |
//| ReciveIcq()   -    ICQ.            |
//|                 nomessage,    .                           |
//| ReciveEMail() -    .          |
//|                 nomessage,    .                           |
//| void SendScreenEMail()  -     .             |
//+-----------------------------------------------------------------------------+
#property copyright "Nick Petrov"                                                
#property link      "Nick_Petrov@inbox.ru"                                       
                                                                                 
//+-----------------------------------------------------------------------------+
//|                                                            |
//+-----------------------------------------------------------------------------+
string _icqmessage[10];    //      ICQ               
string _emailmessage[10];  //                     
string _icqrecive;         //      ICQ          
string _emailrecive;       //              
                                                                                 
//+-----------------------------------------------------------------------------+
//|    ICQ                                                   |
//+-----------------------------------------------------------------------------+
bool SendIcq(int i)                                                              
  {                                                                              
   int _handle;                                                                  
   _handle=FileOpen ("\exchange\icqsend.msg",FILE_BIN|FILE_WRITE);               
   if(_handle<1)                                                                 
    {                                                                            
     Print("    , : ", GetLastError());    
     return(false);                                                              
    }                                                                            
   FileWriteArray(_handle, _icqmessage,0,i);                                     
   FileClose(_handle);                                                           
   return (true);                                                                
  }                                                                              
                                                                                 
//+-----------------------------------------------------------------------------+
//|                                                     |
//+-----------------------------------------------------------------------------+
bool SendEMail(int i)                                                            
  {                                                                              
   int _handle;                                                                  
   _handle=FileOpen ("\exchange\emailsend.msg",FILE_BIN|FILE_WRITE);             
   if(_handle<1)                                                                 
    {                                                                            
     Print("    , : ", GetLastError());    
     return(false);                                                              
    }                                                                            
   FileWriteArray(_handle, _emailmessage,0,i);                                   
   FileClose(_handle);                                                           
   return (true);                                                                
  }                                                                              
                                                                                 
//+-----------------------------------------------------------------------------+
//|    ICQ                                                  |
//+-----------------------------------------------------------------------------+
string ReciveIcq()                                                               
  {                                                                              
   int _handle;                                                                  
   _handle=FileOpen ("\exchange\icqrecive.msg",FILE_BIN|FILE_READ);              
   if(_handle<1)                                                                 
    {                                                                            
     return("nomessage");                                                        
    }                                                                            
   _icqrecive=FileReadString (_handle,255);                                      
   FileClose(_handle);                                                           
   FileDelete("\exchange\icqrecive.msg");                                        
   return (_icqrecive);                                                          
  }                                                                              
                                                                                 
//+-----------------------------------------------------------------------------+
//|                                                    |
//+-----------------------------------------------------------------------------+
string ReciveEMail()                                                             
  {                                                                              
   int _handle;                                                                  
   _handle=FileOpen ("\exchange\emailrecive.msg",FILE_BIN|FILE_READ);            
   if(_handle<1)                                                                 
    {                                                                            
     return("nomessage");                                                        
    }                                                                            
   _emailrecive=FileReadString (_handle,255);                                    
   FileClose(_handle);                                                           
   FileDelete("\exchange\emailrecive.msg");                                      
   return (_emailrecive);                                                        
  }                                                                              
                                                                                 
//+-----------------------------------------------------------------------------+
//|  screenshot                                                  |
//+-----------------------------------------------------------------------------+
void SendScreenEMail(int x=800, int y=600)                                                           
  {                                                                              
   WindowScreenShot("screenshots\descreen.gif",x,y);                         
  }                                                                              
//+-----------------------------------------------------------------------------+